2021-05-17 06:52 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001455Spring engineGeneralpublic2012-12-07 00:34
ReporterGoogle_Frog 
Assigned Toabma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
Product Version0.79.1.0 
Target Version0.81.0.0Fixed in Version 
Summary0001455: Explosion Decal Drawing Bug
DescriptionGround Decals for explosions are drawn at the wrong height when the explosion creates a crater. The decal is drawn at the ground height before the explosion instead of the ground height after the explosion.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
has duplicate 0003363resolvedabma ground deformation is not recorded correctly after an explosion 
+Relationships

-Notes

~0003622

Kloot (developer)

For efficiency reasons, explosion decals only use the updated height values if groundScarAlphaFade is 1 in springsettings.cfg / springrc. IMO, it's not pressing enough to fix.

~0003626

Google_Frog (reporter)

I'm not commenting on how the decal isn't updated when the heightmap changes. What I'm saying is that the decals initial position is wrong because the heightmap is changed by the explosion that spawned the decal.

~0003634

Kloot (developer)

Same thing code-wise.

~0004168

Google_Frog (reporter)

Set the decal height after the ground deformation has been applied?

~0004296

tvo (reporter)

The ground deformation is only applied a while after the explosion, so either the decal would have to be created later on, or it's height would have to be updated by some part of the code which is still aware of the explosion (if anything) after the ground has been deformed.

~0009472

silentwings (reporter)

Last edited: 2012-12-06 23:18

View 3 revisions

The heightmap isn't updated properly either on an explosion (as of 91.0.1-566]) - see http://springrts.com/mantis/view.php?id=3363. Try and move units over an area that's been nuked, they will move as though the nuke never landed (even though pressing f1 shows 'correct' heightmap).

~0009475

abma (administrator)

"set GroundScarAlphaFade=1 in ~/.springrc, then the decal's offset will be updated properly."
+Notes

-Issue History
Date Modified Username Field Change
2009-06-13 03:52 Google_Frog New Issue
2009-06-13 12:48 Kloot Note Added: 0003622
2009-06-14 03:13 Google_Frog Note Added: 0003626
2009-06-14 12:27 Kloot Note Added: 0003634
2009-09-26 16:10 Google_Frog Note Added: 0004168
2009-10-03 10:46 imbaczek Target Version => 0.81.0.0
2009-11-09 20:26 tvo Note Added: 0004296
2012-12-06 23:06 jK Relationship added has duplicate 0003363
2012-12-06 23:15 silentwings Note Added: 0009472
2012-12-06 23:17 silentwings Note Edited: 0009472 View Revisions
2012-12-06 23:18 silentwings Note Edited: 0009472 View Revisions
2012-12-07 00:34 abma Note Added: 0009475
2012-12-07 00:34 abma Status new => resolved
2012-12-07 00:34 abma Resolution open => no change required
2012-12-07 00:34 abma Assigned To => abma
+Issue History